summaryrefslogtreecommitdiffstats
path: root/scripts/bootstrap/builder.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/bootstrap/builder.sh')
-rw-r--r--scripts/bootstrap/builder.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/bootstrap/builder.sh b/scripts/bootstrap/builder.sh
index 398ef34..89ff9d0 100644
--- a/scripts/bootstrap/builder.sh
+++ b/scripts/bootstrap/builder.sh
@@ -1,3 +1,11 @@
#! /bin/bash
emerge --usepkg --buildpkg --keep-going --update --deep --with-bdeps=y --newuse @world
+status=$?
+
+if [ $status -ne 0 ]; then
+ while [ 1 ]; do
+ echo "Emerge crashed with error code: $status"
+ sleep 21600
+ done
+fi